RubyGems.org

use

1.3.0

The use library solves the multi-mixin problem by allowing you to selectively mixin specific methods from a module rather than mixing in all of them. In addition, you can alias methods on the fly as they are mixed in, effectively allowing you to change the name of the mixin method.

installgem install use -v 1.3.0
Authors

Daniel J. Berger

8,559 total downloads 1,182 for this version
Owners

Aee77dba395ece0a04c688b05b07cd6318813f71506ebad74179bf8c5a136696

Gemfile
gem 'use', '~> 1.3.0'
Versions
  1. 1.3.1 July 31, 2009 (8 KB)
  2. 1.3.0 July 30, 2009 (8 KB)
  3. 1.2.2 September 16, 2008 (7.5 KB)
  4. 1.2.1 May 22, 2007 (6.5 KB)
  5. 1.2.0 February 24, 2006 (5.5 KB)
Show all versions (7 total)
Runtime Dependencies
  1. structured_warnings >= 0.1.1